import{S as jt,i as Qt,s as Xt,e as r,k as c,w as g,t as a,M as Zt,c as o,d as s,m as l,a as n,x as _,h as i,b as d,G as e,g as f,y as v,L as es,q as b,o as S,B as $,v as ts}from"../../../chunks/vendor-hf-doc-builder.js";import{D as j}from"../../../chunks/Docstring-hf-doc-builder.js";import{I as Nt}from"../../../chunks/IconCopyLink-hf-doc-builder.js";function ss(Mt){let D,ve,P,T,re,L,Ie,oe,qe,be,y,ne,Ce,Le,R,Re,Ve,Se,w,E,ae,V,Ke,ie,We,$e,u,K,Be,Q,de,He,Ue,ze,N,Ge,X,Je,Ye,Z,je,Qe,Xe,k,W,Ze,ce,et,tt,O,B,st,le,rt,ot,F,H,nt,m,at,ee,it,dt,te,ct,lt,ue,ut,pt,ht,A,U,ft,pe,mt,gt,I,z,_t,he,vt,De,M,q,fe,G,bt,me,St,Pe,x,J,$t,Y,Dt,ge,Pt,yt,ye;return L=new Nt({}),V=new Nt({}),K=new j({props:{name:"class diffusers.PNDMScheduler",anchor:"diffusers.PNDMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"skip_prk_steps",val:": bool = False"},{name:"set_alpha_to_one",val:": bool = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'leading'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.PNDMScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.PNDMScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.PNDMScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.PNDMScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.PNDMScheduler.skip_prk_steps",description:`<strong>skip_prk_steps</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Allows the scheduler to skip the Runge-Kutta steps defined in the original paper as being required before
PLMS steps.`,name:"skip_prk_steps"},{anchor:"diffusers.PNDMScheduler.set_alpha_to_one",description:`<strong>set_alpha_to_one</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Each diffusion step uses the alphas product value at that step and at the previous one. For the final step
there is no previous alpha. When this option is <code>True</code> the previous alpha product is fixed to <code>1</code>,
otherwise it uses the alpha value at step 0.`,name:"set_alpha_to_one"},{anchor:"diffusers.PNDMScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process)
or <code>v_prediction</code> (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen Video</a>
paper).`,name:"prediction_type"},{anchor:"diffusers.PNDMScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;leading&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.PNDMScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L72"}}),W=new j({props:{name:"scale_model_input",anchor:"diffusers.PNDMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L394",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),B=new j({props:{name:"set_timesteps",anchor:"diffusers.PNDMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.PNDMScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L170"}}),H=new j({props:{name:"step",anchor:"diffusers.PNDMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L230",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),U=new j({props:{name:"step_plms",anchor:"diffusers.PNDMScheduler.step_plms",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_plms.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_plms.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_plms.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_plms.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L323",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),z=new j({props:{name:"step_prk",anchor:"diffusers.PNDMScheduler.step_prk",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_prk.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_prk.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_prk.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_prk.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_pndm.py#L263",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),G=new Nt({}),J=new j({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){D=r("meta"),ve=c(),P=r("h1"),T=r("a"),re=r("span"),g(L.$$.fragment),Ie=c(),oe=r("span"),qe=a("PNDMScheduler"),be=c(),y=r("p"),ne=r("code"),Ce=a("PNDMScheduler"),Le=a(", or pseudo numerical methods for diffusion models, uses more advanced ODE integration techniques like the Runge-Kutta and linear multi-step method. The original implementation can be found at "),R=r("a"),Re=a("crowsonkb/k-diffusion"),Ve=a("."),Se=c(),w=r("h2"),E=r("a"),ae=r("span"),g(V.$$.fragment),Ke=c(),ie=r("span"),We=a("PNDMScheduler"),$e=c(),u=r("div"),g(K.$$.fragment),Be=c(),Q=r("p"),de=r("code"),He=a("PNDMScheduler"),Ue=a(` uses pseudo numerical methods for diffusion models such as the Runge-Kutta and linear multi-step
method.`),ze=c(),N=r("p"),Ge=a("This model inherits from "),X=r("a"),Je=a("SchedulerMixin"),Ye=a(" and "),Z=r("a"),je=a("ConfigMixin"),Qe=a(`. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`),Xe=c(),k=r("div"),g(W.$$.fragment),Ze=c(),ce=r("p"),et=a(`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`),tt=c(),O=r("div"),g(B.$$.fragment),st=c(),le=r("p"),rt=a("Sets the discrete timesteps used for the diffusion chain (to be run before inference)."),ot=c(),F=r("div"),g(H.$$.fragment),nt=c(),m=r("p"),at=a(`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise), and calls `),ee=r("a"),it=a("step_prk()"),dt=a(`
or `),te=r("a"),ct=a("step_plms()"),lt=a(" depending on the internal variable "),ue=r("code"),ut=a("counter"),pt=a("."),ht=c(),A=r("div"),g(U.$$.fragment),ft=c(),pe=r("p"),mt=a(`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the linear multistep method. It performs one forward pass multiple times to approximate the solution.`),gt=c(),I=r("div"),g(z.$$.fragment),_t=c(),he=r("p"),vt=a(`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the Runge-Kutta method. It performs four forward passes to approximate the solution to the differential
equation.`),De=c(),M=r("h2"),q=r("a"),fe=r("span"),g(G.$$.fragment),bt=c(),me=r("span"),St=a("SchedulerOutput"),Pe=c(),x=r("div"),g(J.$$.fragment),$t=c(),Y=r("p"),Dt=a("Base class for the output of a scheduler\u2019s "),ge=r("code"),Pt=a("step"),yt=a(" function."),this.h()},l(t){const h=Zt('[data-svelte="svelte-1phssyn"]',document.head);D=o(h,"META",{name:!0,content:!0}),h.forEach(s),ve=l(t),P=o(t,"H1",{class:!0});var we=n(P);T=o(we,"A",{id:!0,class:!0,href:!0});var xt=n(T);re=o(xt,"SPAN",{});var Tt=n(re);_(L.$$.fragment,Tt),Tt.forEach(s),xt.forEach(s),Ie=l(we),oe=o(we,"SPAN",{});var Et=n(oe);qe=i(Et,"PNDMScheduler"),Et.forEach(s),we.forEach(s),be=l(t),y=o(t,"P",{});var _e=n(y);ne=o(_e,"CODE",{});var kt=n(ne);Ce=i(kt,"PNDMScheduler"),kt.forEach(s),Le=i(_e,", or pseudo numerical methods for diffusion models, uses more advanced ODE integration techniques like the Runge-Kutta and linear multi-step method. The original implementation can be found at "),R=o(_e,"A",{href:!0,rel:!0});var Ot=n(R);Re=i(Ot,"crowsonkb/k-diffusion"),Ot.forEach(s),Ve=i(_e,"."),_e.forEach(s),Se=l(t),w=o(t,"H2",{class:!0});var Ne=n(w);E=o(Ne,"A",{id:!0,class:!0,href:!0});var Ft=n(E);ae=o(Ft,"SPAN",{});var At=n(ae);_(V.$$.fragment,At),At.forEach(s),Ft.forEach(s),Ke=l(Ne),ie=o(Ne,"SPAN",{});var It=n(ie);We=i(It,"PNDMScheduler"),It.forEach(s),Ne.forEach(s),$e=l(t),u=o(t,"DIV",{class:!0});var p=n(u);_(K.$$.fragment,p),Be=l(p),Q=o(p,"P",{});var wt=n(Q);de=o(wt,"CODE",{});var qt=n(de);He=i(qt,"PNDMScheduler"),qt.forEach(s),Ue=i(wt,` uses pseudo numerical methods for diffusion models such as the Runge-Kutta and linear multi-step
method.`),wt.forEach(s),ze=l(p),N=o(p,"P",{});var se=n(N);Ge=i(se,"This model inherits from "),X=o(se,"A",{href:!0});var Ct=n(X);Je=i(Ct,"SchedulerMixin"),Ct.forEach(s),Ye=i(se," and "),Z=o(se,"A",{href:!0});var Lt=n(Z);je=i(Lt,"ConfigMixin"),Lt.forEach(s),Qe=i(se,`. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`),se.forEach(s),Xe=l(p),k=o(p,"DIV",{class:!0});var Me=n(k);_(W.$$.fragment,Me),Ze=l(Me),ce=o(Me,"P",{});var Rt=n(ce);et=i(Rt,`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`),Rt.forEach(s),Me.forEach(s),tt=l(p),O=o(p,"DIV",{class:!0});var xe=n(O);_(B.$$.fragment,xe),st=l(xe),le=o(xe,"P",{});var Vt=n(le);rt=i(Vt,"Sets the discrete timesteps used for the diffusion chain (to be run before inference)."),Vt.forEach(s),xe.forEach(s),ot=l(p),F=o(p,"DIV",{class:!0});var Te=n(F);_(H.$$.fragment,Te),nt=l(Te),m=o(Te,"P",{});var C=n(m);at=i(C,`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise), and calls `),ee=o(C,"A",{href:!0});var Kt=n(ee);it=i(Kt,"step_prk()"),Kt.forEach(s),dt=i(C,`
or `),te=o(C,"A",{href:!0});var Wt=n(te);ct=i(Wt,"step_plms()"),Wt.forEach(s),lt=i(C," depending on the internal variable "),ue=o(C,"CODE",{});var Bt=n(ue);ut=i(Bt,"counter"),Bt.forEach(s),pt=i(C,"."),C.forEach(s),Te.forEach(s),ht=l(p),A=o(p,"DIV",{class:!0});var Ee=n(A);_(U.$$.fragment,Ee),ft=l(Ee),pe=o(Ee,"P",{});var Ht=n(pe);mt=i(Ht,`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the linear multistep method. It performs one forward pass multiple times to approximate the solution.`),Ht.forEach(s),Ee.forEach(s),gt=l(p),I=o(p,"DIV",{class:!0});var ke=n(I);_(z.$$.fragment,ke),_t=l(ke),he=o(ke,"P",{});var Ut=n(he);vt=i(Ut,`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the Runge-Kutta method. It performs four forward passes to approximate the solution to the differential
equation.`),Ut.forEach(s),ke.forEach(s),p.forEach(s),De=l(t),M=o(t,"H2",{class:!0});var Oe=n(M);q=o(Oe,"A",{id:!0,class:!0,href:!0});var zt=n(q);fe=o(zt,"SPAN",{});var Gt=n(fe);_(G.$$.fragment,Gt),Gt.forEach(s),zt.forEach(s),bt=l(Oe),me=o(Oe,"SPAN",{});var Jt=n(me);St=i(Jt,"SchedulerOutput"),Jt.forEach(s),Oe.forEach(s),Pe=l(t),x=o(t,"DIV",{class:!0});var Fe=n(x);_(J.$$.fragment,Fe),$t=l(Fe),Y=o(Fe,"P",{});var Ae=n(Y);Dt=i(Ae,"Base class for the output of a scheduler\u2019s "),ge=o(Ae,"CODE",{});var Yt=n(ge);Pt=i(Yt,"step"),Yt.forEach(s),yt=i(Ae," function."),Ae.forEach(s),Fe.forEach(s),this.h()},h(){d(D,"name","hf:doc:metadata"),d(D,"content",JSON.stringify(rs)),d(T,"id","pndmscheduler"),d(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(T,"href","#pndmscheduler"),d(P,"class","relative group"),d(R,"href","https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L181"),d(R,"rel","nofollow"),d(E,"id","diffusers.PNDMScheduler"),d(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(E,"href","#diffusers.PNDMScheduler"),d(w,"class","relative group"),d(X,"href","/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin"),d(Z,"href","/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"href","/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler.step_prk"),d(te,"href","/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler.step_plms"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(q,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(M,"class","relative group"),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,D),f(t,ve,h),f(t,P,h),e(P,T),e(T,re),v(L,re,null),e(P,Ie),e(P,oe),e(oe,qe),f(t,be,h),f(t,y,h),e(y,ne),e(ne,Ce),e(y,Le),e(y,R),e(R,Re),e(y,Ve),f(t,Se,h),f(t,w,h),e(w,E),e(E,ae),v(V,ae,null),e(w,Ke),e(w,ie),e(ie,We),f(t,$e,h),f(t,u,h),v(K,u,null),e(u,Be),e(u,Q),e(Q,de),e(de,He),e(Q,Ue),e(u,ze),e(u,N),e(N,Ge),e(N,X),e(X,Je),e(N,Ye),e(N,Z),e(Z,je),e(N,Qe),e(u,Xe),e(u,k),v(W,k,null),e(k,Ze),e(k,ce),e(ce,et),e(u,tt),e(u,O),v(B,O,null),e(O,st),e(O,le),e(le,rt),e(u,ot),e(u,F),v(H,F,null),e(F,nt),e(F,m),e(m,at),e(m,ee),e(ee,it),e(m,dt),e(m,te),e(te,ct),e(m,lt),e(m,ue),e(ue,ut),e(m,pt),e(u,ht),e(u,A),v(U,A,null),e(A,ft),e(A,pe),e(pe,mt),e(u,gt),e(u,I),v(z,I,null),e(I,_t),e(I,he),e(he,vt),f(t,De,h),f(t,M,h),e(M,q),e(q,fe),v(G,fe,null),e(M,bt),e(M,me),e(me,St),f(t,Pe,h),f(t,x,h),v(J,x,null),e(x,$t),e(x,Y),e(Y,Dt),e(Y,ge),e(ge,Pt),e(Y,yt),ye=!0},p:es,i(t){ye||(b(L.$$.fragment,t),b(V.$$.fragment,t),b(K.$$.fragment,t),b(W.$$.fragment,t),b(B.$$.fragment,t),b(H.$$.fragment,t),b(U.$$.fragment,t),b(z.$$.fragment,t),b(G.$$.fragment,t),b(J.$$.fragment,t),ye=!0)},o(t){S(L.$$.fragment,t),S(V.$$.fragment,t),S(K.$$.fragment,t),S(W.$$.fragment,t),S(B.$$.fragment,t),S(H.$$.fragment,t),S(U.$$.fragment,t),S(z.$$.fragment,t),S(G.$$.fragment,t),S(J.$$.fragment,t),ye=!1},d(t){s(D),t&&s(ve),t&&s(P),$(L),t&&s(be),t&&s(y),t&&s(Se),t&&s(w),$(V),t&&s($e),t&&s(u),$(K),$(W),$(B),$(H),$(U),$(z),t&&s(De),t&&s(M),$(G),t&&s(Pe),t&&s(x),$(J)}}}const rs={local:"pndmscheduler",sections:[{local:"diffusers.PNDMScheduler",title:"PNDMScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"PNDMScheduler"};function os(Mt){return ts(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ds extends jt{constructor(D){super();Qt(this,D,os,ss,Xt,{})}}export{ds as default,rs as metadata};
